Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## juzu
Class Response.Content<S extends Stream>

    java.lang.Object
      juzu.Response
          juzu.Response.Content<S>

Direct Known Subclasses:
  Response.Render

Enclosing class:
  Response

    public static class Response.Content<S extends Stream>

extends Response

Nested Class Summary

Nested classes/interfaces inherited from class juzu.Response
`Response.Content<S extends Stream>, Response.Error, Response.Redirect, Response.Render, Response.View`

Method Summary
`Class<S>` | `getKind()`
`String` | `getMimeType()`
`Integer` | `getStatus()`
`Streamable<S>` | `getStreamable()`
`void` | `send(S stream)` Send the response on the stream argument, Juzu invokes it when it needs to render the content object.
`Response.Content<S>` | `with(PropertyType<Boolean> propertyType)` Set a boolean property to true.
`
`<T> Response.Content<S>`
` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
`Response.Content<S>` | `withHeader(String name, String... value)`
`Response.Content<S>` | `withMimeType(String mimeType)`
`Response.Content<S>` | `withNo(PropertyType<Boolean> propertyType)` Set a boolean property to false.
`
`<T> Response.Content<S>`
` | `without(PropertyType<T> propertyType)` Removes a property.

Methods inherited from class juzu.Response
`content, content, content, error, error, getProperties, notFound, notFound, ok, ok, redirect`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getKind

    public Class<S> getKind()

### getStreamable

    public Streamable<S> getStreamable()

### getMimeType

    public String getMimeType()

### withMimeType

    public Response.Content<S> withMimeType(String mimeType)

### withHeader

    public Response.Content<S> withHeader(String name,
                                          String... value)

  Overrides:
    `withHeader` in class `Response`

### with

    public <T> Response.Content<S> with(PropertyType<T> propertyType,
                                        T propertyValue)
                                            throws NullPointerException

  Description copied from class: `Response`
  Set a property, if the value is null, the property is removed.

  Overrides:
    `with` in class `Response`
  Parameters:
    `propertyType` - the property type
    `propertyValue` - the property value
  Throws:
    `NullPointerException` - if the property type is null

### without

    public <T> Response.Content<S> without(PropertyType<T> propertyType)
                                               throws NullPointerException

  Description copied from class: `Response`
  Removes a property.

  Overrides:
    `without` in class `Response`
  Parameters:
    `propertyType` - the property type
  Throws:
    `NullPointerException` - if the property type is null

### with

    public Response.Content<S> with(PropertyType<Boolean> propertyType)
                                            throws NullPointerException

  Description copied from class: `Response`
  Set a boolean property to true.

  Overrides:
    `with` in class `Response`
  Parameters:
    `propertyType` - the property type
  Throws:
    `NullPointerException` - if the property type is null

### withNo

    public Response.Content<S> withNo(PropertyType<Boolean> propertyType)
                                              throws NullPointerException

  Description copied from class: `Response`
  Set a boolean property to false.

  Overrides:
    `withNo` in class `Response`
  Parameters:
    `propertyType` - the property type
  Throws:
    `NullPointerException` - if the property type is null

### getStatus

    public Integer getStatus()

### send

    public void send(S stream)
              throws IOException

  Send the response on the stream argument, Juzu invokes it when it needs to render the content object.

  Parameters:
    `stream` - the stream for sending the response
  Throws:
    `IOException` - any io exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 eXo Platform SAS. All Rights Reserved.